## visad.util
Class DataUtility.RealTupleComparator

    java.lang.Object
      visad.util.DataUtility.RealTupleComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  DataUtility

public static final class DataUtility.RealTupleComparator
extends Object
implements Comparator

Provides support for comparing RealTuple-s of the same RealTupleType.

Field Summary
`static DataUtility.RealTupleComparator` `INSTANCE` The single instance.

Method Summary
`int` `compare(Object obj1, Object obj2)` Compares two RealTuple-s of the same RealTupleType.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final DataUtility.RealTupleComparator INSTANCE

  The single instance.

Method Detail

### compare

    public int compare(Object obj1,
                       Object obj2)
                throws ClassCastException

  Compares two RealTuple-s of the same RealTupleType.

  Specified by:
    `compare` in interface `Comparator`
  Parameters:
    `obj1` - The first RealTuple.
    `obj2` - The second RealTuple. It shall have the same RealTupleType as the first RealTuple.
  Returns:
    A negative integer, zero, or a positive integer as the first RealTuple is less than, equal to, or greater than the second RealTuple.
  Throws:
    `ClassCastException` - The types of the arguments prevent this comparator from comparing them.